## UDisksNVMeFabrics

UDisksNVMeFabrics — Generated C code for the org.freedesktop.UDisks2.NVMe.Fabrics D-Bus interface

## Functions

GDBusInterfaceInfo * | udisks_nvme_fabrics_interface_info ()
guint | udisks_nvme_fabrics_override_properties ()
void | udisks_nvme_fabrics_call_disconnect ()
gboolean | udisks_nvme_fabrics_call_disconnect_finish ()
gboolean | udisks_nvme_fabrics_call_disconnect_sync ()
void | udisks_nvme_fabrics_complete_disconnect ()
const gchar * | udisks_nvme_fabrics_get_host_id ()
const gchar * | udisks_nvme_fabrics_get_host_nqn ()
const gchar * | udisks_nvme_fabrics_get_transport ()
const gchar * | udisks_nvme_fabrics_get_transport_address ()
gchar * | udisks_nvme_fabrics_dup_host_id ()
gchar * | udisks_nvme_fabrics_dup_host_nqn ()
gchar * | udisks_nvme_fabrics_dup_transport ()
gchar * | udisks_nvme_fabrics_dup_transport_address ()
void | udisks_nvme_fabrics_set_host_id ()
void | udisks_nvme_fabrics_set_host_nqn ()
void | udisks_nvme_fabrics_set_transport ()
void | udisks_nvme_fabrics_set_transport_address ()
void | udisks_nvme_fabrics_proxy_new ()
UDisksNVMeFabrics * | udisks_nvme_fabrics_proxy_new_finish ()
UDisksNVMeFabrics * | udisks_nvme_fabrics_proxy_new_sync ()
void | udisks_nvme_fabrics_proxy_new_for_bus ()
UDisksNVMeFabrics * | udisks_nvme_fabrics_proxy_new_for_bus_finish ()
UDisksNVMeFabrics * | udisks_nvme_fabrics_proxy_new_for_bus_sync ()
UDisksNVMeFabrics * | udisks_nvme_fabrics_skeleton_new ()

## Types and Values

| UDisksNVMeFabrics
struct | UDisksNVMeFabricsIface
struct | UDisksNVMeFabricsProxy
struct | UDisksNVMeFabricsProxyClass
struct | UDisksNVMeFabricsSkeleton
struct | UDisksNVMeFabricsSkeletonClass

## Object Hierarchy

        GInterface
        ╰── UDisksNVMeFabrics

## Prerequisites

UDisksNVMeFabrics requires GObject.

## Description

This section contains code for working with the org.freedesktop.UDisks2.NVMe.Fabrics D-Bus interface in C.

## Functions

### udisks_nvme_fabrics_interface_info ()

    GDBusInterfaceInfo *
    udisks_nvme_fabrics_interface_info (void);

Gets a machine-readable description of the org.freedesktop.UDisks2.NVMe.Fabrics D-Bus interface.

#### Returns

A GDBusInterfaceInfo. Do not free.

[transfer none]

### udisks_nvme_fabrics_override_properties ()

    guint
    udisks_nvme_fabrics_override_properties
                                   (GObjectClass *klass,
                                    guint property_id_begin);

Overrides all GObject properties in the UDisksNVMeFabrics interface for a concrete class. The properties are overridden in the order they are defined.

#### Parameters

klass | The class structure for a GObject derived class. |
property_id_begin | The property id to assign to the first overridden property. |

#### Returns

The last property id.

### udisks_nvme_fabrics_call_disconnect ()

    void
    udisks_nvme_fabrics_call_disconnect (UDisksNVMeFabrics *proxy,
                                         GVariant *arg_options,
                                         GCancellable *cancellable,
                                         GAsyncReadyCallback callback,
                                         gpointer user_data);

Asynchronously invokes the `Disconnect()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_nvme_fabrics_call_disconnect_finish()` to get the result of the operation.

See `udisks_nvme_fabrics_call_disconnect_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A UDisksNVMeFabricsProxy. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

Since: 2.10.0

### udisks_nvme_fabrics_call_disconnect_finish ()

    gboolean
    udisks_nvme_fabrics_call_disconnect_finish
                                   (UDisksNVMeFabrics *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_nvme_fabrics_call_disconnect()`.

#### Parameters

proxy | A UDisksNVMeFabricsProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_nvme_fabrics_call_disconnect()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

Since: 2.10.0

### udisks_nvme_fabrics_call_disconnect_sync ()

    gboolean
    udisks_nvme_fabrics_call_disconnect_sync
                                   (UDisksNVMeFabrics *proxy,
                                    GVariant *arg_options,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `Disconnect()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `udisks_nvme_fabrics_call_disconnect()` for the asynchronous version of this method.

#### Parameters

proxy | A UDisksNVMeFabricsProxy. |
arg_options | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

Since: 2.10.0

### udisks_nvme_fabrics_complete_disconnect ()

    void
    udisks_nvme_fabrics_complete_disconnect
                                   (UDisksNVMeFabrics *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `Disconnect()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A UDisksNVMeFabrics. |
invocation | A GDBusMethodInvocation. | [transfer full]

Since: 2.10.0

### udisks_nvme_fabrics_get_host_id ()

    const gchar *
    udisks_nvme_fabrics_get_host_id (UDisksNVMeFabrics *object);

Gets the value of the "HostID" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `udisks_nvme_fabrics_dup_host_id()` if on another thread.

[skip]

#### Parameters

object | A UDisksNVMeFabrics. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

Since: 2.10.0

### udisks_nvme_fabrics_get_host_nqn ()

    const gchar *
    udisks_nvme_fabrics_get_host_nqn (UDisksNVMeFabrics *object);

Gets the value of the "HostNQN" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `udisks_nvme_fabrics_dup_host_nqn()` if on another thread.

[skip]

#### Parameters

object | A UDisksNVMeFabrics. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

Since: 2.10.0

### udisks_nvme_fabrics_get_transport ()

    const gchar *
    udisks_nvme_fabrics_get_transport (UDisksNVMeFabrics *object);

Gets the value of the "Transport" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `udisks_nvme_fabrics_dup_transport()` if on another thread.

[skip]

#### Parameters

object | A UDisksNVMeFabrics. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

Since: 2.10.0

### udisks_nvme_fabrics_get_transport_address ()

    const gchar *
    udisks_nvme_fabrics_get_transport_address
                                   (UDisksNVMeFabrics *object);

Gets the value of the "TransportAddress" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `udisks_nvme_fabrics_dup_transport_address()` if on another thread.

[skip]

#### Parameters

object | A UDisksNVMeFabrics. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

Since: 2.10.0

### udisks_nvme_fabrics_dup_host_id ()

    gchar *
    udisks_nvme_fabrics_dup_host_id (UDisksNVMeFabrics *object);

Gets a copy of the "HostID" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksNVMeFabrics. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

Since: 2.10.0

### udisks_nvme_fabrics_dup_host_nqn ()

    gchar *
    udisks_nvme_fabrics_dup_host_nqn (UDisksNVMeFabrics *object);

Gets a copy of the "HostNQN" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksNVMeFabrics. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

Since: 2.10.0

### udisks_nvme_fabrics_dup_transport ()

    gchar *
    udisks_nvme_fabrics_dup_transport (UDisksNVMeFabrics *object);

Gets a copy of the "Transport" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksNVMeFabrics. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

Since: 2.10.0

### udisks_nvme_fabrics_dup_transport_address ()

    gchar *
    udisks_nvme_fabrics_dup_transport_address
                                   (UDisksNVMeFabrics *object);

Gets a copy of the "TransportAddress" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A UDisksNVMeFabrics. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

Since: 2.10.0

### udisks_nvme_fabrics_set_host_id ()

    void
    udisks_nvme_fabrics_set_host_id (UDisksNVMeFabrics *object,
                                     const gchar *value);

Sets the "HostID" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksNVMeFabrics. |
value | The value to set. |

Since: 2.10.0

### udisks_nvme_fabrics_set_host_nqn ()

    void
    udisks_nvme_fabrics_set_host_nqn (UDisksNVMeFabrics *object,
                                      const gchar *value);

Sets the "HostNQN" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksNVMeFabrics. |
value | The value to set. |

Since: 2.10.0

### udisks_nvme_fabrics_set_transport ()

    void
    udisks_nvme_fabrics_set_transport (UDisksNVMeFabrics *object,
                                       const gchar *value);

Sets the "Transport" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksNVMeFabrics. |
value | The value to set. |

Since: 2.10.0

### udisks_nvme_fabrics_set_transport_address ()

    void
    udisks_nvme_fabrics_set_transport_address
                                   (UDisksNVMeFabrics *object,
                                    const gchar *value);

Sets the "TransportAddress" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A UDisksNVMeFabrics. |
value | The value to set. |

Since: 2.10.0

### udisks_nvme_fabrics_proxy_new ()

    void
    udisks_nvme_fabrics_proxy_new (GDBusConnection *connection,
                                   GDBusProxyFlags flags,
                                   const gchar *name,
                                   const gchar *object_path,
                                   GCancellable *cancellable,
                                   GAsyncReadyCallback callback,
                                   gpointer user_data);

Asynchronously creates a proxy for the D-Bus interface org.freedesktop.UDisks2.NVMe.Fabrics. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_nvme_fabrics_proxy_new_finish()` to get the result of the operation.

See `udisks_nvme_fabrics_proxy_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### udisks_nvme_fabrics_proxy_new_finish ()

    UDisksNVMeFabrics *
    udisks_nvme_fabrics_proxy_new_finish (GAsyncResult *res,
                                          GError **error);

Finishes an operation started with `udisks_nvme_fabrics_proxy_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_nvme_fabrics_proxy_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksNVMeFabricsProxy]

### udisks_nvme_fabrics_proxy_new_sync ()

    UDisksNVMeFabrics *
    udisks_nvme_fabrics_proxy_new_sync (GDBusConnection *connection,
                                        GDBusProxyFlags flags,
                                        const gchar *name,
                                        const gchar *object_path,
                                        GCancellable *cancellable,
                                        GError **error);

Synchronously creates a proxy for the D-Bus interface org.freedesktop.UDisks2.NVMe.Fabrics. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `udisks_nvme_fabrics_proxy_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksNVMeFabricsProxy]

### udisks_nvme_fabrics_proxy_new_for_bus ()

    void
    udisks_nvme_fabrics_proxy_new_for_bus (GBusType bus_type,
                                           GDBusProxyFlags flags,
                                           const gchar *name,
                                           const gchar *object_path,
                                           GCancellable *cancellable,
                                           GAsyncReadyCallback callback,
                                           gpointer user_data);

Like `udisks_nvme_fabrics_proxy_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `udisks_nvme_fabrics_proxy_new_for_bus_finish()` to get the result of the operation.

See `udisks_nvme_fabrics_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### udisks_nvme_fabrics_proxy_new_for_bus_finish ()

    UDisksNVMeFabrics *
    udisks_nvme_fabrics_proxy_new_for_bus_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `udisks_nvme_fabrics_proxy_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `udisks_nvme_fabrics_proxy_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksNVMeFabricsProxy]

### udisks_nvme_fabrics_proxy_new_for_bus_sync ()

    UDisksNVMeFabrics *
    udisks_nvme_fabrics_proxy_new_for_bus_sync
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Like `udisks_nvme_fabrics_proxy_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `udisks_nvme_fabrics_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type UDisksNVMeFabricsProxy]

### udisks_nvme_fabrics_skeleton_new ()

    UDisksNVMeFabrics *
    udisks_nvme_fabrics_skeleton_new (void);

Creates a skeleton object for the D-Bus interface org.freedesktop.UDisks2.NVMe.Fabrics.

#### Returns

The skeleton object.

[transfer full][type UDisksNVMeFabricsSkeleton]

## Types and Values

### UDisksNVMeFabrics

    typedef struct _UDisksNVMeFabrics UDisksNVMeFabrics;

Abstract interface type for the D-Bus interface org.freedesktop.UDisks2.NVMe.Fabrics.

### struct UDisksNVMeFabricsIface

    struct UDisksNVMeFabricsIface {
      GTypeInterface parent_iface;

      gboolean (*handle_disconnect) (
        UDisksNVMeFabrics *object,
        GDBusMethodInvocation *invocation,
        GVariant *arg_options);

      const gchar * (*get_host_id) (UDisksNVMeFabrics *object);

      const gchar * (*get_host_nqn) (UDisksNVMeFabrics *object);

      const gchar * (*get_transport) (UDisksNVMeFabrics *object);

      const gchar * (*get_transport_address) (UDisksNVMeFabrics *object);
    };

Virtual table for the D-Bus interface org.freedesktop.UDisks2.NVMe.Fabrics.

#### Members

GTypeInterface `parent_iface`; | The parent interface. |
`handle_disconnect` () | Handler for the “handle-disconnect” signal. |
`get_host_id` () | Getter for the “host-id” property. |
`get_host_nqn` () | Getter for the “host-nqn” property. |
`get_transport` () | Getter for the “transport” property. |
`get_transport_address` () | Getter for the “transport-address” property. |

### struct UDisksNVMeFabricsProxy

    struct UDisksNVMeFabricsProxy {
    };

The UDisksNVMeFabricsProxy structure contains only private data and should only be accessed using the provided API.

### struct UDisksNVMeFabricsProxyClass

    struct UDisksNVMeFabricsProxyClass {
      GDBusProxyClass parent_class;
    };

Class structure for UDisksNVMeFabricsProxy.

#### Members

### struct UDisksNVMeFabricsSkeleton

    struct UDisksNVMeFabricsSkeleton {
    };

The UDisksNVMeFabricsSkeleton structure contains only private data and should only be accessed using the provided API.

### struct UDisksNVMeFabricsSkeletonClass

    struct UDisksNVMeFabricsSkeletonClass {
      GDBusInterfaceSkeletonClass parent_class;
    };

Class structure for UDisksNVMeFabricsSkeleton.

#### Members